Valkyrie Bitcoin Fund

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/valkyrie-bitcoin-fund/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/valkyrie-bitcoin-fund/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1790640000000,
    "type": "flat",
    "coin_id": "bitcoin",
    "holding_net_change": 0.0
  },
  {
    "date": 1790726400000,
    "type": "flat",
    "coin_id": "bitcoin",
    "holding_net_change": 0.0
  },
  {
    "date": 1790812800000,
    "type": "flat",
    "coin_id": "bitcoin",
    "holding_net_change": 0.0
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/valkyrie-bitcoin-fund/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790726400000,
    5705.607955290001
  ],
  [
    1790812800000,
    5705.607955290001
  ],
  [
    1790899200000,
    5704.435095660001
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/valkyrie-bitcoin-fund/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1790726400000,
    477244436.2986411
  ],
  [
    1790812800000,
    476687340.7378865
  ],
  [
    1790899200000,
    483638150.9613756
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/valkyrie-bitcoin-fund/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 23.5,
    "date": "2026-09-30",
    "high": 24.11,
    "open": 24.01,
    "close": 23.54,
    "volume": 41800
  },
  {
    "low": 23.59,
    "date": "2026-10-01",
    "high": 23.97,
    "open": 23.62,
    "close": 23.86,
    "volume": 22400
  },
  {
    "low": 23.68,
    "date": "2026-10-02",
    "high": 24.56,
    "open": 24.46,
    "close": 23.753,
    "volume": 49900
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/valkyrie-bitcoin-fund/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": null,
  "quarterly_earnings_growth": null,
  "eps_estimate_current_quarter": null
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/valkyrie-bitcoin-fund/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 8.96,
  "six_month_return": 25.61,
  "three_month_return": 32.18
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/valkyrie-bitcoin-fund/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": "-",
  "total_btc_percentage": 0.027,
  "share_price_change_state": ""
}